Get Toxicity
curl --request POST \
--url https://rai-prod.studio.lyzr.ai/toxicity-meter/ \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"input_text": "What the fuck!",
"agent_id": "67e3aff94c4db47d2999cdef",
"session_id": "67e3aff94c4db47d2999cdef-g6bayx8ijn",
"run_id": "string"
}
'import requests
url = "https://rai-prod.studio.lyzr.ai/toxicity-meter/"
payload = {
"input_text": "What the fuck!",
"agent_id": "67e3aff94c4db47d2999cdef",
"session_id": "67e3aff94c4db47d2999cdef-g6bayx8ijn",
"run_id": "string"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
input_text: 'What the fuck!',
agent_id: '67e3aff94c4db47d2999cdef',
session_id: '67e3aff94c4db47d2999cdef-g6bayx8ijn',
run_id: 'string'
})
};
fetch('https://rai-prod.studio.lyzr.ai/toxicity-meter/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "TOXIC",
"details": {
"is_toxic": true,
"confidence": 99.9
},
"status_code": 200
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}API Reference
Toxicity Checker
Analyzes the input text for toxicity and returns the result.
POST
/
toxicity-meter
/
Get Toxicity
Endpoint
POST/toxicity-meter/
Base URL
https://rai-prod.studio.lyzr.ai
Authentication
API Key (x-api-key) must be included in the request header.
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
input_text | string | Yes | The text to analyze for toxicity. |
agent_id | string | Yes | The associated agent’s unique ID. |
session_id | string | Yes | The current session’s unique ID. |
run_id | string | No | Optional run ID for traceability. |
Example Request Body
{
"input_text": "What the hell!"
"agent_id": "67e3aff94c4db47d2999cdef",
"session_id": "67e3aff94c4db47d2999cdef-g6bayx8ijn",
"run_id": "string"
}
Authorizations
Body
application/json
⌘I